Como usar SDKs de terceiros no seu app

Após serem integrados ao app, os SDKs de terceiros podem ter um impacto significativo na compatibilidade, no desempenho, na proteção, na segurança e na qualidade.

Mudanças relacionadas a SDKs de terceiros

Para ajudar você a garantir que o software de terceiros usado pelo app esteja em conformidade com as Políticas do programa para desenvolvedores do Google Play e contribua de maneira positiva para a experiência do usuário, o Google Play começará a sinalizar problemas conhecidos com os SDKs mais usados no Play Console.

Para descobrir qual é o SDK usado pelo app, usamos o arquivo de dependências incluído nele. Esse arquivo lista todas as bibliotecas com versões de que o app depende. Os apps que usam o Android App Bundle fornecem o arquivo de dependências por padrão. Os apps criados antes de agosto de 2021 usando APKs incluem o arquivo de dependências do Plug-in do Android para Gradle 4.0.

Compreender os problemas com o SDK de terceiros do seu app

Se aplicável, os problemas com as versões do SDK usadas pelo seu app estarão detalhados no Play Console na parte superior da página Produção ou na página Visão geral da versão.

Se o app usar uma versão do SDK que não está em conformidade com as Políticas do programa para desenvolvedores do Google Play, as novas versões dele que também a usarem talvez sejam recusadas. Dependendo do tipo de violação, será preciso confirmar que seu uso do SDK obedece às nossas políticas de dados do usuário, mudar para outra versão recomendada pelo provedor do SDK ou removê-lo.

Se o app estiver usando uma versão do SDK que está desatualizada ou com problemas críticos, você receberá um aviso, e talvez outras ações sejam necessárias. Por exemplo, se um fornecedor de SDK avisar que a versão do SDK usada pelo seu app está desatualizada, você ainda poderá fazer o lançamento, mas não será possível lançar outra versão do app usando a versão desatualizada do SDK. Será necessário usar uma versão atualizada. Se o app usar uma versão do SDK que o fornecedor avisou ter problemas críticos, você verá um aviso descrevendo o tipo do problema, conforme detalhado pelo fornecedor de SDK.

Se você tiver dúvidas sobre uma versão do SDK que está desatualizada ou com problemas críticos, recomendamos entrar em contato com o fornecedor de SDK.

Isso foi útil?
Como podemos melhorá-lo?

Precisa de mais ajuda?

Faça login e veja mais opções de suporte para resolver o problema rapidamente.

Pesquisa
Limpar pesquisa
Fechar pesquisa
Google Apps
Menu principal
Pesquisar na Central de Ajuda
true
92637
false